# 32/64
#
%define name	TiMidity++
%define version	2.14.0
%define timiditydir	%{_prefix}/lib/timidity

# When big change is involved (e.g. timidity.cfg change location),
# so that new timidity binray and old patch RPM won't work together,
# increment this number by 1 for all timidity related RPMs
%define patch_pkg_version 2

Summary:	MIDI to WAVE converter and player
Name:		%{name}
Version:	%{version}
Release:	%mkrel 4
URL:		http://timidity.sourceforge.net/
License:	GPLv2+
Group:		Sound
Source0:	%{name}-%{version}.tar.xz
Source1:	http://www.timidity.jp/dist/cfg/timidity.cfg
Source2:	timidity-emacs-mode.el
Source3:	timidity.README.mdv
Source11:	%{name}48.png
Source12:	%{name}32.png
Source13:	%{name}16.png
Patch0:		timidity-2.13.2-default-config-path.patch
Patch8:		timidity-2.13.2-tcl-legacy.patch
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	emacs
BuildRequires:	esound-devel
BuildRequires:	gtk2-devel
BuildRequires:	jackit-devel
BuildRequires:	lesstif-devel
BuildRequires:	libao-devel
BuildRequires:	libflac-devel >= 1.1.3
BuildRequires:	liboggflac-devel
BuildRequires:	%{_lib}nas2-devel
BuildRequires:	ncurses-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	lib64portaudio-devel
BuildRequires:	speex-devel
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	libxaw-devel
BuildRequires:	libslang-devel
BuildConflicts:	libXaw3d-devel
Obsoletes:	%name < %version
Requires:	timidity-patch-freepats
Conflicts:	timidity-init
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
TiMidity is a MIDI to WAVE converter and player that uses Gravis 
Ultrasound(tm) or SoundFont(tm) patch files to generate digital audio data
from general MIDI files. The audio data can be played through any 
sound device or stored on disk.

#german
%description -l de
TiMidity ist ein MIDI-Konverter und die WAVE-Player, der Gravis verwendet
Ultraschall (tm) oder SoundFont (tm) Patch-Dateien, digitale Audio-Daten zu generieren
von General MIDI-Dateien. Die Audio-Daten kann über jeden gespielt werden
Sound-Gerät oder auf der Festplatte gespeichert.

#french
%description -l fr
TiMidity est un convertisseur vers le MIDI et WAVE joueur qui utilise Gravis
Ultrasound (TM) ou SoundFont (tm) patch pour générer des fichiers de données audio numériques
du général de fichiers MIDI. Les données audio peuvent être lus par tout
sonore de l'appareil ou stockées sur le disque.

#spanish
%description -l es
La timidez es un convertidor de MIDI a WAVE y jugador que utiliza Gravis
Ultrasonido (tm) o SoundFont (TM) de los archivos de revisión para generar datos de audio digital
general de archivos MIDI. La información de audio se pueden reproducir a través de cualquier
dispositivo de sonido o almacenados en el disco.

#polish
%description -l pl
TiMidity is a MIDI to WAVE converter and player that uses Gravis 
Ultrasound(tm) or SoundFont(tm) patch files to generate digital audio data
from general MIDI files. The audio data can be played through any 
sound device or stored on disk.

#serbian
%description -l sr
Стидљивост је за ТАЛАС за МИДИ конвертер и плејер који користи гравис
Ултразвук (ТМ) или СоундФонт (ТМ) датотеке закрпе за генерисање дигиталних аудио података
од општег МИДИ фајлове. Аудио података може да се репродукује преко било ког
аудио уређаја или ускладиштене на диску.

#dutch
%description -l nl 
TiMidity is een MIDI naar WAVE omzetter en speler die gebruik maakt van Gravis
Ultrasound (tm) of SoundFont (tm) patch-bestanden te genereren digitale audiogegevens
van de algemene MIDI-bestanden. De audio-gegevens kunnen worden afgespeeld via een
geluidsapparaat of opgeslagen op schijf.

%package	interfaces-extra
Summary:	Extra GUI/text mode interfaces for TiMidity
Group:		Sound
Requires:	%{name} = %{version}-%{release}
Requires:	emacs-bin

%description interfaces-extra
TiMidity is a MIDI to WAVE converter and player that uses Gravis 
Ultrasound(tm) or SoundFont(tm) patch files to generate digital audio data
from general MIDI files. The audio data can be played through any 
sound device or stored on disk.

Install this if you want to use TiMidity under other interfaces, such as
Motif(or Lesstif), Tcl/Tk, emacs etc.

#german
%description -l de
TiMidity ist ein MIDI-Konverter und die WAVE-Player, der Gravis verwendet
Ultraschall (tm) oder SoundFont (tm) Patch-Dateien, digitale Audio-Daten zu generieren
von General MIDI-Dateien. Die Audio-Daten kann über jeden gespielt werden
Sound-Gerät oder auf der Festplatte gespeichert.

Installieren Sie dieses, wenn Sie TiMidity unter anderen Schnittstellen, wie z. B. will
Motif (oder Lesstif), Tcl / Tk, emacs etc.

#french
%description -l fr
TiMidity est un convertisseur vers le MIDI et WAVE joueur qui utilise Gravis
Ultrasound (TM) ou SoundFont (tm) patch pour générer des fichiers de données audio numériques
du général de fichiers MIDI. Les données audio peuvent être lus par tout
sonore de l'appareil ou stockées sur le disque.

Installez-le si vous souhaitez utiliser TiMidity sous d'autres interfaces, telles que
Motif (ou Lesstif), Tcl / emacs, Tk, etc

#spanish
%description -l es
La timidez es un convertidor de MIDI a WAVE y jugador que utiliza Gravis
Ultrasonido (tm) o SoundFont (TM) de los archivos de revisión para generar datos de audio digital
general de archivos MIDI. La información de audio se pueden reproducir a través de cualquier
dispositivo de sonido o almacenados en el disco.

Instale esta opción si desea utilizar TiMidity en otras interfaces, tales como
Motivo (o Lesstif), Tcl / Tk, emacs, etc

#polish
%description -l pl
TiMidity is a MIDI to WAVE converter and player that uses Gravis 
Ultrasound(tm) or SoundFont(tm) patch files to generate digital audio data
from general MIDI files. The audio data can be played through any 
sound device or stored on disk.

#serbian
%description -l sr
Стидљивост је за ТАЛАС за МИДИ конвертер и плејер који користи гравис
Ултразвук (ТМ) или СоундФонт (ТМ) датотеке закрпе за генерисање дигиталних аудио података
од општег МИДИ фајлове. Аудио података може да се репродукује преко било ког
аудио уређаја или ускладиштене на диску.

Инсталирајте ово ако желите да користите бојажљивост под другим интерфејса, као што су
Мотив (или Лесстиф), инсталацију Тцл / тк, Емацс и др

#dutch
%description -l nl
TiMidity is een MIDI naar WAVE omzetter en speler die gebruik maakt van Gravis
Ultrasound (tm) of SoundFont (tm) patch-bestanden te genereren digitale audiogegevens
van de algemene MIDI-bestanden. De audio-gegevens kunnen worden afgespeeld via een
geluidsapparaat of opgeslagen op schijf.

Installeer dit als je wilt TiMidity gebruiken onder andere interfaces, zoals
Motif (of Lesstif), Tcl / Tk, emacs enz.

%prep
%setup -q
%patch0 -p1 -b .default-path
%patch8 -p0 -b .tcl_legacy

%build
autoconf

# little ugly trick to force install of tclIndex, running wish requires
# X display
touch interface/tclIndex

%configure2_5x \
	--enable-audio=oss,alsa,nas,esd,portaudio,jack,ao,vorbis,flac,speex \
	--enable-dynamic=dynamic,ncurses,slang,motif,tcltk,emacs,xaw,xskin,gtk \
	--enable-interface=alsaseq \
	--enable-network \
	--enable-server

%make LDFLAGS="-laudio -lFLAC"

%install
rm -rf %{buildroot}
%makeinstall_std
install -d %{buildroot}%{_datadir}/timidity
install -m644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/timidity/timidity-custom.cfg

install -d %{buildroot}%{_datadir}/applications
cat <<EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Name=TiMidity++
Comment=MIDI file player
Exec=timidity -ig %%F
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Mimetype=audio/x-%{name};
Categories=Audio;Midi;X-MandrivaLinux-Multimedia-Sound;
EOF

#new style mime-type
mkdir -p %{buildroot}%{_datadir}/mime/packages
cat > %{buildroot}%{_datadir}/mime/packages/%{name}.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="audio/x-%{name}">
         <comment>TiMidity midi player gui</comment>
         <glob pattern="*.mid" />
         <glob pattern="*.midi" />
         <sub-class-of type="audio/midi" />
  </mime-type>
</mime-info>
EOF

#icons
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# emacs mode
install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/timidity.el

# japanese manpages
install -m644 doc/ja_JP.eucJP/timidity.1 -D %{buildroot}%{_mandir}/ja/man1/timidity.1
install -m644 doc/ja_JP.eucJP/timidity.cfg.5 %{buildroot}%{_mandir}/ja/man1/timidity.cfg.5

%clean
rm -rf %{buildroot}

%post
%{update_mime_database}
%update_menus
%update_icon_cache hicolor
%{_sbindir}/update-alternatives --install %{_sysconfdir}/timidity/timidity.cfg timidity.cfg %{_sysconfdir}/timidity/timidity-custom.cfg 10

%postun
%{clean_mime_database}
%clean_menus
%clean_icon_cache hicolor
if [ "$1" = "0" ]; then
%{_sbindir}/update-alternatives --remove timidity.cfg %{_sysconfdir}/timidity/timidity-custom.cfg
fi

%triggerpostun -- %{name} <= 2.13.2-22mdv
%{_sbindir}/update-alternatives --install %{_sysconfdir}/timidity/timidity.cfg timidity.cfg %{_sysconfdir}/timidity/timidity-custom.cfg 10

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README doc/C/FAQ
%doc doc/C/README.{alsaseq,dl,sf,m2m,mts}
%config(noreplace) %{_sysconfdir}/timidity
%{_bindir}/timidity
%{_mandir}/man?/timidity*
%lang(ja) %{_mandir}/ja/man?/*
%{_datadir}/timidity
%dir %{timiditydir}
%{timiditydir}/if_gtk.so
%{timiditydir}/if_ncurses.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png

%files interfaces-extra
%defattr(-,root,root)
%doc doc/C/README.{tk,xaw,xskin}
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/*.el
%{timiditydir}/if_emacs.so
%{timiditydir}/if_motif.so
%{timiditydir}/if_slang.so
%{timiditydir}/if_tcltk.so
%{timiditydir}/if_xaw.so
%{timiditydir}/if_xskin.so
%{_datadir}/emacs/site-lisp/*.el
%{timiditydir}/*.tcl
%{timiditydir}/tclIndex
%{timiditydir}/bitmaps


%changelog
* Tue Aug 15 2017 bb2 <bb2> - 2.14.0-4pclos2017
- rebuild against updates

* Tue Dec 31 2013 gseaman <galen.seaman at comcast.net> 2.14.0-3gseaman2014
- added mimetype for midi

* Mon Sep 22 2013 billybot <billybot> 2.14.0-2pclos2013
- add conflicts: timidity-init

* Fri Sep 20 2013 pinoc <vogtpet at gmail.com> 2.14.0-1pclos2013
- 2.14.0

